*** command.c	Mon Jan 26 19:00:34 2004
--- command_edit.c	Tue Jan  4 17:01:12 2005
***************
*** 3632,3647 ****
                            break;
  
          case(RibbonTok):  FetchToken();
!                           if( CurToken==NumberTok )
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=1000 )
!                               {   SetRibbonStatus(True,RibbonFlag,
                                                    (int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
--- 3632,3651 ----
                            break;
  
          case(RibbonTok):  FetchToken();
!                           if( CurToken==NumberTok && TokenValue>=0)
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=1000 )
!                               {  if (TokenValue !=0)
!                                  {SetRibbonStatus(True,RibbonFlag,
                                                    (int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
+                                  } else { ReDrawFlag |= RFRefresh; 
+                                           SetRibbonStatus(False, RibbonFlag,0);
+                                         }
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
*** command.c	2004-01-26 19:00:34.000000000 -0500
--- command_edit.c	2004-12-08 15:36:33.000000000 -0500
***************
*** 3471,3477 ****
                            } else if( CurToken==DashTok )
                            {   ReDrawFlag |= RFRefresh;
                                EnableBackbone(DashFlag,0,0);
!                           } else if( CurToken==NumberTok )
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
--- 3471,3477 ----
                            } else if( CurToken==DashTok )
                            {   ReDrawFlag |= RFRefresh;
                                EnableBackbone(DashFlag,0,0);
!                           } else if( CurToken==NumberTok && TokenValue>=0)
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
***************
*** 3479,3489 ****
  
  
                                if( TokenValue<=500 )
!                               {   EnableBackbone(CylinderFlag,
                                                   (int)TokenValue,
                                                   (int)((4*TokenValue)/5));
!                                   ReDrawFlag |= RFRefresh;
!                               } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
                                if( TokenValue<=500 )
--- 3479,3488 ----
  
  
                                if( TokenValue<=500 )
!                               {   if (TokenValue!=0)                                                                 { EnableBackbone(CylinderFlag,
                                                   (int)TokenValue,
                                                   (int)((4*TokenValue)/5));
!                                   ReDrawFlag |= RFRefresh;                                                             } else                                                                           {                                                                               ReDrawFlag |= RFRefresh;                                                        DisableBackbone();                                                              }                                                                     } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
                                if( TokenValue<=500 )
*** command.c	2004-01-26 19:00:34.000000000 -0500
--- command_edit.c	2004-12-30 13:42:57.000000000 -0500
***************
*** 3725,3740 ****
                            break;
  
          case(CartoonTok): FetchToken();
!                           if( CurToken==NumberTok )
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=1000 )
                                {   SetRibbonStatus(True,CartoonFlag,
                                                    (int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
--- 3725,3746 ----
                            break;
  
          case(CartoonTok): FetchToken();
!                           if( CurToken==NumberTok && TokenValue>=0)
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=1000 )
+                               {  if (TokenValue !=0)
                                    {  SetRibbonStatus(True,CartoonFlag,
                                                    (int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
+                                   } else 
+                                      {
+                                          ReDrawFlag |= RFRefresh;
+                                          SetRibbonStatus(False,CartoonFlag,0);
+                                      }  
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
*** command.c	2004-01-26 19:00:34.000000000 -0500
--- command_edit.c	2004-12-01 15:58:09.000000000 -0500
***************
*** 3703,3718 ****
                            } else if( CurToken==DotsTok )
                            {   ReDrawFlag |= RFRefresh;
                                SetRibbonStatus(True,DotsFlag,80);
!                           } else if( CurToken==NumberTok )
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
!                               if( TokenValue<=500 )
                                {   SetRibbonStatus(True,TraceFlag,
                                                   (int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
--- 3703,3724 ----
                            } else if( CurToken==DotsTok )
                            {   ReDrawFlag |= RFRefresh;
                                SetRibbonStatus(True,DotsFlag,80);
!                           } else if( CurToken==NumberTok && TokenValue>=0)
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
!                               if( TokenValue<=500)
!                               {   if (TokenValue !=0) 
                                      { SetRibbonStatus(True,TraceFlag,
                                                   (int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
+                                       } else 
+                                          {
+                                           ReDrawFlag |= RFRefresh;
+                                           SetRibbonStatus(False,TraceFlag,80);
+                                          }			      
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
*** command.c	2004-01-26 19:00:34.000000000 -0500
--- command_wire.c	2005-01-05 14:43:55.000000000 -0500
***************
*** 3437,3453 ****
                            } else if( CurToken==DashTok )
                            {   ReDrawFlag |= RFRefresh;
                                EnableWireframe(DashFlag,0,0);
!                           } else if( CurToken==NumberTok )
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=500 )
                                {   EnableWireframe(CylinderFlag,
                                                    (int)TokenValue,
                                                    (int)((TokenValue*4)/5));
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
--- 3437,3459 ----
                            } else if( CurToken==DashTok )
                            {   ReDrawFlag |= RFRefresh;
                                EnableWireframe(DashFlag,0,0);
!                           } else if( CurToken==NumberTok && TokenValue >=0)
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=500 )
+                               {   if (TokenValue !=0)
                                      { EnableWireframe(CylinderFlag,
                                                    (int)TokenValue,
                                                    (int)((TokenValue*4)/5));
                                    ReDrawFlag |= RFRefresh;
+                                      } else
+                                         {
+                                         ReDrawFlag |= RFRefresh;
+                                         DisableWireframe();
+                                         }
                                       } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
*** command.c	2004-01-26 19:00:34.000000000 -0500
--- command_strand.c	2005-01-05 14:27:52.000000000 -0500
***************
*** 3665,3679 ****
                                FetchToken();
                            } else option = StrandFlag;
  
!                           if( CurToken==NumberTok )
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=1000 )
                                {   SetRibbonStatus(True,option,(int)TokenValue);
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
--- 3665,3684 ----
                                FetchToken();
                            } else option = StrandFlag;
  
!                           if( CurToken==NumberTok && TokenValue>=0)
                            {   if( *TokenPtr=='.' )
                                {   TokenPtr++;
                                    FetchFloat(TokenValue,250);
                                }
  
                                if( TokenValue<=1000 )
+                                { if (TokenValue !=0)
                                   { SetRibbonStatus(True,option,(int)TokenValue);
                                     ReDrawFlag |= RFRefresh;
+                                      } else {
+                                        ReDrawFlag |= RFRefresh;
+                                        SetRibbonStatus (False,option,0);
+                                        }
                                  }   else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
                            {   FetchFloat(0,250);
